## 公用封装函数
APP开发会出现很多功能相同的函数和组件，现封装了很多公共函数可直接调用减少开发时间，提高开发效率。需在`controller`中注入`hlsUtil`服务。
##### 1.校验身份证号 `isCardID`函数
- 函数参数为`sId`身份证号码。
- 返回值为身份证校验结果，通过返回空，不通过返回具体内容。
- 调用如下
```javascript
  function checkIdCard(){
    var result =hlsUtil.isCardID(342623198712122312);
    if(result){
      hlsPopup.showShortCenterToast(result);
    }
  }
```

##### 2.时间格式化函数 `Date.prototype.format`
- 函数参数为格式字符串 如 `yyyy-MM-dd`
- 返回值为格式化后的时间 如 `2017-09-08`
- 调用实例如下
```javascript
function dataFormat() {
    var date = new Date;
    alert(date.format('yyyy-MM-dd'));
  }
```
##### 3.数组移除函数 `Array.prototype.remove`
- 函数参数为数组下标
- 返回新的数组
- 调用实例如下
```javascript
function arrayRemove() {
    var array=['1','2','3'];
    alert(angular.toJson(array.remove(1)));
  }
```
##### 4.对象转成数组 `objToString`
- 函数参数为对象
- 返回字符串
- 调用实例如下
```javascript
function objToString(){
    var obj={
      "apiKey":'123123SFgy',
      "apiSecret":'QEZ!$XHFHFTV'
    }
    hlsUtil.objToString(obj);
  }
```

